1
0
mirror of https://github.com/dkmstr/openuds-gui.git synced 2024-07-20 21:40:29 +03:00
Go to file
Adolfo Gómez García 4095295e80
Fixed custom message
2024-07-19 21:25:21 +02:00
.vscode Updated to yarn 4.x 2024-07-10 04:50:36 +02:00
e2e fixed all eslint "complains" 2021-04-07 14:05:55 +02:00
src Fixed custom message 2024-07-19 21:25:21 +02:00
vendor/cookieconsent Added cookieconsent copy locally 2024-07-10 04:50:19 +02:00
.browserslistrc fixing and refactoring frontend 2023-01-18 12:52:57 +01:00
.editorconfig small editor config fix 2023-01-14 14:57:21 +01:00
.eslintrc.json Moved from tslint to eslint 2021-03-12 12:16:13 +01:00
.gitignore Updated to yarn 4.x 2024-07-10 04:50:36 +02:00
.hintrc fixing and refactoring frontend 2023-01-18 12:52:57 +01:00
angular.json Updated to yarn 4.x 2024-07-10 04:50:36 +02:00
karma.conf.js migrated to angular 6 2018-08-30 06:01:26 +02:00
package.json Fixed custom message 2024-07-19 17:30:19 +02:00
protractor.conf.js chore: initial commit from @angular/cli 2018-05-05 01:54:18 +02:00
proxy.conf.json done basic error page 2018-09-14 05:49:55 +02:00
README.md fixing up things for IE11 & edge 2018-09-26 12:19:34 +02:00
toUDS.py upgraded user interface (Angular 18) 2024-06-20 04:24:03 +02:00
tsconfig.json upgraded user interface (Angular 18) 2024-06-20 04:24:03 +02:00

Uds

This project is related to the web interface of OpenUDS from version 3.0 onwards. This is not usable on previous versions of UDS, so don't try to use it!! :).

This project was generated with Angular CLI version 6.2.1.

Development server

Remember editing the "proxy.conf.json" file and adapt it to your needings. Normally this means changing the 172.27.0.1 value to YOUR_UDS_SERVER_IP value and nothing more.

Currently, you will need to use a running UDS server backend in order to run the development environment.

Run yarn start for a dev server.

In order to authenticate correctly against the platform, first navigate to http://[YOUR_IP]:9000/uds/pages/login so the cookies from backend are correctly implanted.

Navigate to http://[YOUR_IP]:9000/. The app will automatically be reloaded if you change any of the source files.

Importing into OpenUDS

For importing into UDS, you will need to have python3 available before proceding.

Run yarn build. After building is finished, copy the dist/uds folder to your uds folder.

Notes

  • The dist/uds folder will contain two folders, that will be copied over the existing ones on the uds folder of OpenUDS. Do not delete the destination folder, just overwrite existing files, because the build process only build PART of the content on those folders.
  • Currently Angular 6 has issues with firefox previous to 50. In order to build for this platforms support, use yarn f45build. (This build procedure has only been tested on Linux). The problems are not in fact related to Angular, but related to uglify-js. Angular 7 will probably solve this issue.: